# PetscDrawSPSetLimits

Sets the axis limits for a line graph. If more points are added after this call, the limits will be adjusted to include those additional points.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscDrawSPSetLimits(PetscDrawSP sp,PetscReal x_min,PetscReal x_max,PetscReal y_min,PetscReal y_max)

Not Collective (ignored on all processors except processor 0 of PetscDrawSP)

### Input Parameters

| xsp | - the line graph context
| x_min,x_max,y_min,y_max | - the limits

Level:intermediate
Location:src/sys/draw/utils/dscatter.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages